Subject: Re: [PATCH RFC] [1/9] Core module symbol namespaces code and intro.

From: Andi Kleen <[email-masked]>
Date: Thu, 29 Nov 2007 11:00:46 +0100

> I think it would be good if you could specify a default namespace
> per module, that could reduce the amount of necessary changes significantly.

But also give less documentation. It's also not that difficult to mark
the exports once. I've forward ported such patches over a few kernels
and didn't run into significant me

> obj-$(CONFIG_COMBINED) += combined.o
> combined-$(CONFIG_SUBOPTION) += combined_main.o combined_other.o
> obj-$(CONFIG_SINGLE) += single.o
> obj-$(CONFIG_OTHER) += other.o
> obj-$(CONFIG_API) += api.o
> 
> NAMESPACE = subsys                       # default, used for other.o
> NAMESPACE_single.o = single              # used only for single.o
> NAMESPACE_combined.o = combined          # all parts of combined.o
> NAMESPACE_combined_other.o = special     #    except this one
> NAMESPACE_api.o =                        # api.o is put into the global ns

I would prefer to keep that inside the source files, again for 
documentation purposes. One goal of namespace was to make something
that was previously kind of implicit explicit and the default name
spaces would work against that again I think.

-Andi